local grimSpam = {
    "BOOST",
    "ARMOUR STACK",
    "ARMOR STACK",
    "ARMORSTACK",
    "ARMOURSTACK",
    "WTS HC",
    "INTIME",
    "IN TIME",
    "N\'ZOTH",
    "NZOTH",
    "SELLING MYTHIC",
    "SELLING HEROIC",
    "MASK VISION",
    "HORRIFIC VISION",
    "WTS VISION",
    "LOOTSHARE",
    "LOOT SHARE",
    "SELLING HC NYALOTHA",
    "SELLING HC NY'ALOTHA",
    "HC NY\'ALOTHA",
    "NYALOTHA",
    "NY\'ALOTHA",
    "WTS KEYSTONE",
    "WTS 0-5 MASK",
    "WTS ACHIEV",
    "WTS \+10",
    "WTS \+15",
    "< PERSPECTIVE >",
    "M\+15",
    "M\+10",
    "SPEED LEVELING",
    "SPEED LEVELLING"
}

enabled = 1

SLASH_ENABLED1, SLASH_ENABLED2 = '/grimon';
function SlashCmdList.ENABLED(msg, editbox)
    enabled = 1
    print("|cff00FF00GrimTrades|r->Spam Filtering: [|cff00FF00ON|r]!")
end

SLASH_DISABLED1, SLASH_DISABLED2 = '/grimoff';
function SlashCmdList.DISABLED(msg, editbox)
    enabled = 0
    print("|cff00FF00GrimTrades|r->Spam Filtering: [|cffFF0000OFF|r]!")
end


local f = CreateFrame("Frame")
f:RegisterEvent("PLAYER_LOGIN")
f:SetScript("OnEvent", function(f, event)
    if event == "PLAYER_LOGIN" then
      print("|cff00FF00GrimTrades|r->Spam Filtering: [|cff00FF00ON|r]!")
    end
end)

ChatFrame_AddMessageEventFilter("CHAT_MSG_CHANNEL", function(frame, event, message, sender, ...)
local upperMSG = message:upper()
    if enabled == 1 then
        for i, v in ipairs(grimSpam) do
            if upperMSG:find(v) then
                return true
            end
        end
    end
end)

GrimTrades_Settings = {
	MinimapPos = 45
}

function GrimTrades_MinimapButton_Reposition()
        GrimTrades_MinimapButton:ClearAllPoints()
	GrimTrades_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(GrimTrades_Settings.MinimapPos)),(80*sin(GrimTrades_Settings.MinimapPos))-52)
end

function GrimTrades_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70
	ypos = ypos/UIParent:GetScale()-ymin-70

	GrimTrades_Settings.MinimapPos = math.deg(math.atan2(ypos,xpos))
	GrimTrades_MinimapButton_Reposition()
end

function GrimTrades_MinimapButton_OnClick()
	if enabled == 1 then
            enabled = 0
            print("|cff00FF00GrimTrades|r->Spam Filtering: [|cffFF0000OFF|r]!")
        elseif enabled == 0 then
            enabled = 1
            print("|cff00FF00GrimTrades|r->Spam Filtering: [|cff00FF00ON|r]!")
        end
end
